List resolved intents
curl --request GET \
--url https://api.swapnice.com/v1/profiles/{customer_id}/intents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swapnice.com/v1/profiles/{customer_id}/intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/v1/profiles/{customer_id}/intents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"category": "outcome",
"object": "<string>",
"confidence": 0.5,
"consent_purpose": "account_linking",
"evidence": [
{
"id": "<string>",
"customer_id": "<string>",
"attribute": "<string>",
"value": "<string>",
"source": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"consent_purpose": "account_linking",
"confidence": 0.5,
"provenance": {
"source_partner": "<string>",
"collected_at": "2023-11-07T05:31:56Z",
"source_system": "<string>",
"evidence_url": "<string>"
},
"context": "<string>"
}
]
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Profiles
List intents
Outcome, habit, affiliate, sentiment, and activation scores.
GET
/
v1
/
profiles
/
{customer_id}
/
intents
List resolved intents
curl --request GET \
--url https://api.swapnice.com/v1/profiles/{customer_id}/intents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swapnice.com/v1/profiles/{customer_id}/intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/v1/profiles/{customer_id}/intents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"category": "outcome",
"object": "<string>",
"confidence": 0.5,
"consent_purpose": "account_linking",
"evidence": [
{
"id": "<string>",
"customer_id": "<string>",
"attribute": "<string>",
"value": "<string>",
"source": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"consent_purpose": "account_linking",
"confidence": 0.5,
"provenance": {
"source_partner": "<string>",
"collected_at": "2023-11-07T05:31:56Z",
"source_system": "<string>",
"evidence_url": "<string>"
},
"context": "<string>"
}
]
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Outcome, habit, affiliate, sentiment, and activation scores.
Optional
category query filters the five intent families.Authorizations
OAuth 2.1 authorization code with PKCE. Implicit and password flows are unsupported.
Path Parameters
Query Parameters
Available options:
account_linking, personalization, analytics, support, event_enrichment, profile_resolution, measurement Available options:
outcome, sentiment, affiliate, habit, activation Required range:
1 <= x <= 100⌘I